Petnow LogoPetnow

Get a verification job

Get the status of a verification job. Poll until `status` is `SUCCESS` or `FAILED`. A `SUCCESS` job also returns `isVerified` and `score`.

GET
/v2/verification-jobs/{jobId}

Authorization

VendorApiKeyAuth
x-petnow-api-key<token>

An API key from the Petify Console. A server key can call every route. A client (app) key can only create capture sessions and upload images.

In: header

Path Parameters

jobId*string

ID of the job, as returned when the job was started.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.petify.petnow.io/v2/verification-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "success": true,
  "data": {
    "status": "PENDING",
    "isVerified": true,
    "score": 0
  }
}
{
  "errors": [
    {
      "code": "PETNOWB2B10000"
    }
  ]
}

{
  "errors": [
    {
      "code": "PETNOWB2B10010"
    }
  ]
}

{
  "errors": [
    {
      "code": "PETNOWB2B20005"
    }
  ]
}